org.deidentifier.arx.gui.view.impl.risk

## Class LayoutRisksBottom

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.risk.LayoutRisksAbstract
  - - org.deidentifier.arx.gui.view.impl.risk.LayoutRisksBottom

All Implemented Interfaces:
  ILayout, IView

    public class LayoutRisksBottom
    extends LayoutRisksAbstract

Layouts the risk analysis perspective.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`LayoutRisksBottom(org.eclipse.swt.widgets.Composite parent, Controller controller, ModelEvent.ModelPart target, ModelEvent.ModelPart reset)` Creates a new instance.

### Method Summary

### Methods inherited from class org.deidentifier.arx.gui.view.impl.risk.LayoutRisksAbstract

`addSelectionListener, dispose, getSelectedViewType, getSelectionIndex, getViewForSelectionIndex, getViewForType, reset, setSelectionIdex, update`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LayoutRisksBottom

    public LayoutRisksBottom(org.eclipse.swt.widgets.Composite parent,
                             Controller controller,
                             ModelEvent.ModelPart target,
                             ModelEvent.ModelPart reset)

Creates a new instance.

Parameters:
  `parent` -
  `controller` -
  `target` -
  `reset` -